Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.server.interceptor
Interface DefaultMBeanServerInterceptorMBean

All Known Implementing Classes:
  DefaultMBeanServerInterceptor

public interface DefaultMBeanServerInterceptorMBean

Management interface for the DefaultMBeanServerInterceptor MBean

Version:
  $Revision: 1.6 $

Method Summary
`java.lang.String` | `getType()` Returns the type of this interceptor
`boolean` | `isEnabled()` Returns whether this interceptor is enabled
`void` | `setEnabled(boolean enabled)` Enables or disables this interceptor

Method Detail

### isEnabled

    public boolean isEnabled()

  Returns whether this interceptor is enabled

  See Also:
    `setEnabled(boolean)`

### setEnabled

    public void setEnabled(boolean enabled)

  Enables or disables this interceptor

  See Also:
    `isEnabled()`

### getType

    public java.lang.String getType()

  Returns the type of this interceptor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.